## Get merchant balance

Returns the current balance information for the authenticated merchant.

The response includes the current balance amount and currency.

## Endpoint signature

```http
POST https://api.reservepay.com/merchants/get-balance HTTP/1.1
Content-Type: application/json
Accept: application/json
Authorization: Bearer <token>

{}
```

Returns: object

## Response attributes

### `amount` (number)

**Always present**. The current balance amount in subunits.

### `currency` (string)

**Always present**. The currency code of the balance.

## Errors common to all endpoints

### `UNHANDLED_ERROR`

This error occurs when the server encounters an unexpected internal error that
it cannot handle gracefully. This typically happens due to bugs, infrastructure
issues, or edge cases that weren't anticipated during development.

### `INVALID_ARGUMENTS`

This error occurs when the request contains invalid or missing parameters.
Common cases include missing required fields, or values that don't match the
expected format or type.

### `BAD_VERSION`

This error occurs when making requests to an API version that does not exist.
This commonly happens when using an outdated SDK or when the API version
specified in the request URL is incorrect.
